@import '../../colors';

main {
    height: 100vh;
    margin: auto;
    
    > div {
        display: flex;

        > * {
            &:nth-child(1) {
                flex: 3;
            }
            
            &:nth-child(2) {
                flex: 7;
            }
        }
    }

    #detail {
        text-align: center;
        padding: 50px 50px 0 50px;

        > * {
            padding: 15px;
            border: solid lighten($gray, 30%);
            border-width: 1px 1px 0 1px;
            margin: auto;
            text-align: left;
            width: 100%;

            &:last-of-type {
                border-width: 1px;
            }
        }

        select {
            padding: 15px;
            margin-top: 20px;
            font-weight: 700;
            font-size: 100%;
            
            &.sent {
                background-color: lighten($red, 58%);
                border-left: 7px solid $red;
            }

            &.recived {
                background-color: lighten($yellow, 46%);
                border-left: 7px solid $yellow;
            }

            &.payed {
                background-color: lighten($green, 65%);
                border-left: 7px solid $green;
            }

            &:active, &:focus {
                outline: 0;
            }
        }

        div {
            strong {
                float: right;
                font-weight: 700;
            }
        }
    }

    button {
        margin-bottom: 15px;
    }
}